> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bond data



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/GetBondData
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/GetBondData:
    post:
      tags:
        - MarketData
      summary: Get bond data
      operationId: GetBondData
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetBondDataRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetBondDataRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetBondDataRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetBondDataRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetBondDataResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetBondDataRequest:
      example:
        end_date: '2000-01-23T04:56:07.000+00:00'
        identifiers:
          - code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
          - code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
        return_contributed_data: true
        start_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        start_date:
          format: date-time
          type: string
        end_date:
          format: date-time
          type: string
        return_contributed_data:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetBondDataRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetBondDataResponse:
      example:
        bond_data:
          - value:
              - date: date
                volume: 5.637376656633329
                high: 6.027456183070403
                liquidity_score: 2
                contributor: contributor
                low: 1.4658129805029452
                currency: currency
                close: 0.8008281904610115
                bond_id: bond_id
                open: 5.962133916683182
              - date: date
                volume: 5.637376656633329
                high: 6.027456183070403
                liquidity_score: 2
                contributor: contributor
                low: 1.4658129805029452
                currency: currency
                close: 0.8008281904610115
                bond_id: bond_id
                open: 5.962133916683182
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - value:
              - date: date
                volume: 5.637376656633329
                high: 6.027456183070403
                liquidity_score: 2
                contributor: contributor
                low: 1.4658129805029452
                currency: currency
                close: 0.8008281904610115
                bond_id: bond_id
                open: 5.962133916683182
              - date: date
                volume: 5.637376656633329
                high: 6.027456183070403
                liquidity_score: 2
                contributor: contributor
                low: 1.4658129805029452
                currency: currency
                close: 0.8008281904610115
                bond_id: bond_id
                open: 5.962133916683182
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        bond_data:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierBondDataIListKeyValuePair'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetBondDataResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifier:
      example:
        code: code
        market_identification_code: market_identification_code
        identifier_type: Derivitec
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - Derivitec
            - Ric
            - Bloomberg
            - Isin
            - Figi
            - Sedol
            - RedCode
            - RedPairCode
            - BloombergYellow
            - XIgniteCode
            - CBondsId
            - EdiSecId
            - EdiSymbol
            - NotSet
          type: string
        market_identification_code:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.InstrumentIdentifier,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifierBondDataIListKeyValuePair:
      example:
        value:
          - date: date
            volume: 5.637376656633329
            high: 6.027456183070403
            liquidity_score: 2
            contributor: contributor
            low: 1.4658129805029452
            currency: currency
            close: 0.8008281904610115
            bond_id: bond_id
            open: 5.962133916683182
          - date: date
            volume: 5.637376656633329
            high: 6.027456183070403
            liquidity_score: 2
            contributor: contributor
            low: 1.4658129805029452
            currency: currency
            close: 0.8008281904610115
            bond_id: bond_id
            open: 5.962133916683182
        key:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        key:
          $ref: '#/components/schemas/InstrumentIdentifier'
        value:
          items:
            $ref: '#/components/schemas/BondData'
          nullable: true
          type: array
      type: object
    BondData:
      example:
        date: date
        volume: 5.637376656633329
        high: 6.027456183070403
        liquidity_score: 2
        contributor: contributor
        low: 1.4658129805029452
        currency: currency
        close: 0.8008281904610115
        bond_id: bond_id
        open: 5.962133916683182
      properties:
        provider_id:
          nullable: true
          type: string
        bond_id:
          nullable: true
          type: string
        close:
          format: double
          type: number
        currency:
          nullable: true
          type: string
        date:
          type: string
        high:
          format: double
          nullable: true
          type: number
        low:
          format: double
          nullable: true
          type: number
        open:
          format: double
          nullable: true
          type: number
        contributor:
          nullable: true
          type: string
        volume:
          format: double
          nullable: true
          type: number
        liquidity_score:
          format: int32
          nullable: true
          type: integer
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.BondData, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````